/* $Id: completion.h,v 1.1 1995/03/25 15:07:48 queinnec Exp queinnec $ */

#ifndef _COMPLETION_H
#define _COMPLETION_H

typedef enum {
    COMPL_NOTDONE,
    COMPL_FAIL,           /* No completion */
    COMPL_EXACT,          /* The word is the only valid word */
    COMPL_EXACTBUTLONGER, /* The word is valid, but other longer words exist */
    COMPL_PARTIAL         /* Only longer words exist. */
} Compl_Success;

extern const char *Compl_SuccStr[]; /* For debug */

void addNameCompletion(void);
void addTitleCompletion(void);
int opencompletion(const char *mainfile, const char *checkfile);

#endif /* _COMPLETION_H */
